actions.markPlayed = {
    title: _('Mark selected files as played...'),
    hotkeyAble: true,
    icon: 'play',
    disabled: uitools.notMediaListSelected,
    visible: window.uitools.getCanEdit,
    execute: async function () {
        var list = await uitools.getSelectedTracklist().whenLoaded();
        if (list.count === 0) {
            return;
        }
        list.forEach(function (track) {
            track.playCounter = track.playCounter + 1;
            track.lastTimePlayed_UTC = app.utils.timestamp2DateTime(new Date().toISOString());
            app.utils.addToPlayedAsync(track);
        });
        list.commitAsync(false, false, false /*no tag writing*/);
        listAsyncForEach(list, function (track, next) {
            app.utils.addToPlayedAsync(track).then(() => {
                next();
            });
        });
    }
}

window._menuItems.editTags.action.submenu.push({
    action: actions.markPlayed,
    order: 10,
    grouporder: 10
});